summaryrefslogtreecommitdiffstats
path: root/obsolete-buildroot/sources/openwrt/root/usr/share
diff options
context:
space:
mode:
Diffstat (limited to 'obsolete-buildroot/sources/openwrt/root/usr/share')
-rwxr-xr-xobsolete-buildroot/sources/openwrt/root/usr/share/udhcpc/default.script38
1 files changed, 38 insertions, 0 deletions
diff --git a/obsolete-buildroot/sources/openwrt/root/usr/share/udhcpc/default.script b/obsolete-buildroot/sources/openwrt/root/usr/share/udhcpc/default.script
new file mode 100755
index 000000000..87be32d1a
--- /dev/null
+++ b/obsolete-buildroot/sources/openwrt/root/usr/share/udhcpc/default.script
@@ -0,0 +1,38 @@
+#!/bin/sh
+# udhcpc script edited by Tim Riker <Tim@Rikers.org>
+# (slightly modified)
+
+[ -z "$1" ] && echo "Error: should be run by udhcpc" && exit 1
+
+RESOLV_CONF="/tmp/resolv.conf"
+
+case "$1" in
+ deconfig)
+ ifconfig $interface 0.0.0.0
+ ;;
+
+ renew|bound)
+ ifconfig $interface $ip \
+ ${broadcast:+broadcast $broadcast} \
+ ${subnet:+netmask $subnet}
+
+ if [ -n "$router" ] ; then
+ echo "deleting routers"
+ while route del default gw 0.0.0.0 dev $interface ; do
+ :
+ done
+
+ for i in $router ; do
+ route add default gw $i dev $interface
+ done
+ fi
+
+ echo -n > $RESOLV_CONF
+ ${domain:+echo search $domain >> $RESOLV_CONF}
+ for i in $dns ; do
+ echo adding dns $i
+ echo nameserver $i >> $RESOLV_CONF
+ done
+ ;;
+esac
+exit 0